Subject: RE: [Isis-wg] draft-hermelin-ext-lsp-frags-03.txt

From: "Amir Hermelin" <[email-masked]>
Date: Thu, 14 Feb 2002 14:58:47 +0200

Alex,
originally, the request came from an ISP that is experimenting with distributing granular reachability info between L1 areas through an L2 backbone (RFC 2966). Assuming there is motivation for this RFC (maybe there isn't), then there is motivation to save space on reachability info. That is IMO more than enough motivation to implement mode 1 if you don't want to upgrade your entire network (as opposed to just the overloaded distribution points).
This has been said before, and I'm finding it difficult understanding the objection to keeping mode 1. Still, I confess my choice of words "it's already written" wasn't very good :-)

--
Amir Hermelin                  <mailto:[email-masked]>
Charlotte's Web Networks Inc.   <http://www.cwnt.com>

> -----Original Message-----
> From: Alex Zinin [mailto:[email-masked]]
> Sent: Thursday, February 14, 2002 5:44 AM
> To: Amir Hermelin
> Cc: ISIS-wg (E-mail)
> Subject: Re: [Isis-wg] draft-hermelin-ext-lsp-frags-03.txt
> 
> 
> 
> Amir,
> 
> > Alex,
> > thanks for your comments.
> > As I recall from the last meeting, the "agreement" that 
> only mode 2 is needed
> > was only stated by three or four people, and objected by 
> one or two (myself
> > included) - hardly a consensus.
> 
> You're probably right.
> 
> > Some folks also approached me after the meeting and stated 
> that mode 1 is useful.
> > The important part is this: the draft permits 
> implementation of only mode 2, so
> > mode 1 is optional (as is the whole draft).
> 
> I'm trying to understand the scenarios where mode 1 would really be
> useful... I tend to think (though I might be wrong, and if so, please
> correct me) that reachability information is probably not the major
> contributing factor (since ISP folks use IGPs to "glue 
> loopbacks together"
> and use BGP to distribute the actual routes) and hence off-loading it
> to extended LSPs would not free much space in the standard LSPs.
> 
> If this is the TE scenario, then most probably most if not all routers
> in the network would experience the problem and a) all of 
> them would need
> to be SW-upgraded with either mode, and b) we can't put much 
> more topological
> info in the LSPs since we still have the same limitation for it.
> 
> Could you (or anyone who cares) please shed some light on why you
> think mode 1 is useful. Not trying to say it is necessarily not
> useful, just trying to understand the motivation...
> 
> > You don't need extra code, knobs, bugs, etc if your 
> customers don't want
> > this. And since the text is already written, I don't see a 
> good argument
> > for removing it (the text). Of course, whether or not both modes are
> > implemented doesn't affect people who'll want to transition 
> to mode 2 eventually.
> > Does that sound good to you? Any thoughts from the group on this?
> 
> It is surely fine with me if mode 1 happens to add real value.
> If not, I guess the argument "it's already written" does not
> strike me as very persuasive technically ;)
> 
> Regards,
> 
> Alex.
> 
> 
> 
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg